Subject: Re: [PATCH net-next 1/2] net: dsa: Implement ndo_get_phys_port_name()

From: Andrew Lunn <[email-masked]>
Date: Tue, 10 Jan 2017 21:50:43 +0100

On Tue, Jan 10, 2017 at 12:32:36PM -0800, Florian Fainelli wrote:
> Return the physical port number of a DSA created network device using
> ndo_get_phys_port_name().

At what level does this need to be unique?

We can have multiple switches within one switch cluster. p->port will
be unique within one switch, but can be repeated in a cluster.

We can also have multiple clusters, and again p->port will be re-used.

   Andrew